<!-- -------------------- ./doc/content/commentaries_content.html -------------------- -->

<section class="commentaries-content">
  <h2>Historique</h2>

  <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--icon-left">
    <li>
      <button class="fr-btn fr-icon-add-line" data-fr-opened="false" aria-controls="create-commentary">Ajouter un message</button>
    </li>

    <?php if ( ! $this->ROMODE ): ?>
    <li>
      <button class="fr-btn fr-btn--secondary fr-icon-delete-fill" data-fr-opened="false" aria-controls="delete-all-commentaries-modal">Supprimer tous les messages</button>
    </li>
    <?php endif; ?>
  </ul>

  <hr>

  <?php if ($this->DOSINFO['blogcnt'] == 0 ) : ?>
  <div class="fr-alert fr-alert--info">
    <h3 class="fr-alert__title">Il n'y a actuellement aucun message.</h3>
  </div>
  <?php endif; ?>

  <?php foreach($this->BLOGDATA as $key => $elem) : ?>
  <article>
    le <?php echo date("d/m/Y à H:i",substr($key,0,-3)); ?> 
    <?php if($elem['signature']) { echo ", par ". $elem['signature']; } ?>

    <p><?php echo $elem['comment'];?></p>

    <?php if ( ! $this->ROMODE ): ?>
    <button class="fr-btn fr-btn--secondary fr-btn--sm fr-btn--icon-left  fr-icon-delete-line" type="button" onclick="ConfSupprOne(<?php echo $key; ?>)">Supprimer le message</button>
    <?php endif; ?>  
  </article>
  <?php endforeach; ?>

</section>
<!-- -------------------------------------------------------------------- -->

<!-- new comment -->

<?php include "modals/new-commentary_modal.html" ?>

<!-- -------------------------------------------------------------------- -->

<!-- del all blog -->

<?php include "modals/delete-all-commentaries_modal.html" ?>

<!-- -------------------------------------------------------------------- -->

<!-- del one blog -->
<?php include "modals/delete-commentary_modal.html" ?> 

<!-- -------------------------------------------------------------------- -->
